Loading...
Searching...
No Matches
Gudhi::skeleton_blocker::Vertex_iterator< SkeletonBlockerComplex > Class Template Reference

Iterator on the vertices of a simplicial complex. More...

`#include <include/gudhi/Skeleton_blocker/iterators/Skeleton_blockers_vertices_iterators.h>`

## Public Member Functions

| Vertex_iterator (const SkeletonBlockerComplex *complex_, int end)

## Detailed Description

template<typename SkeletonBlockerComplex>
class Gudhi::skeleton_blocker::Vertex_iterator< SkeletonBlockerComplex >

Iterator on the vertices of a simplicial complex.

Remarks
  The increment operator go to the next active vertex.
  Incrementation increases Vertex_handle.

## Constructor & Destructor Documentation

## Vertex_iterator()

template<typename SkeletonBlockerComplex>

Gudhi::skeleton_blocker::Vertex_iterator< SkeletonBlockerComplex >::Vertex_iterator | ( | const SkeletonBlockerComplex * | complex_,
|  | int | end )

inline

return an iterator to the end.

The documentation for this class was generated from the following file:

- include/gudhi/Skeleton_blocker/iterators/Skeleton_blockers_vertices_iterators.h